Subject: bug#15703: [PATCH 1/8] EWW: Support user defined representation for checkbox.

From: Ted Zlatanov <[email-masked]>
Date: Sun, 03 Nov 2013 06:40:17 -0500

On Fri, 25 Oct 2013 21:54:12 -0400 Stefan Monnier <[email-masked]> wrote: 

>> Ah, OK, I see.  But it seems like kind of the same ideas, so maybe a
>> generic facility would be useful... not a font-lock interaction, but for
>> keeping the record of "this string maps to this Unicode symbol"?
>> Basically a big hashtable with some user control.  Then
>> `prettify-symbols-mode' could use that facility too.

SM> I think it'd be easier to go the other way around: provide an
SM> replacement to use if/when the display font doesn't provide a glyph for
SM> that characters.

That doesn't help with drawing trees in Unicode, for example.  What I'm
suggesting is more like an installable icon set.  The user would be able
to say "install my personal tree glyphs and checkbox glyphs and box
drawing glyphs" and all code using the proposed facility would pick up
the user's preference for tree and checkbox and box glyphs.

For a typical use case that a package has implemented ad-hoc, see
http://permalink.gmane.org/gmane.emacs.gnus.general/83790

  (setq cfw:fchar-junction ?┼
        cfw:fchar-vertical-line ?│
        cfw:fchar-horizontal-line ?─
        cfw:fchar-left-junction ?├
        cfw:fchar-right-junction ?┤
        cfw:fchar-top-junction ?┬
        cfw:fchar-top-left-corner ?╭
        cfw:fchar-top-right-corner ?╮)

Thanks
Ted